package com.edmz.common.ui;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

import javax.swing.BorderFactory;
import javax.swing.ButtonGroup;
import javax.swing.JCheckBoxMenuItem;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JRadioButtonMenuItem;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.sshtools.common.ui.StatusBar;

public class EGPPlaybackMenuBar implements ActionListener {
	private static Log log = LogFactory.getLog(EGPPlaybackMenuBar.class);

	JMenuBar menuBar = null;

	StatusBar statusBar = null;
	
	ButtonGroup group = null;
	
	public EGPPlaybackMenuBar(StatusBar statusBar) {
		super();
		
		this.statusBar = statusBar;

//		JMenuBar menuBar;
		JMenu menu, submenu;
		JMenuItem menuItem;
		JRadioButtonMenuItem rbMenuItem;
		JCheckBoxMenuItem cbMenuItem;

		// Create the menu bar.
		menuBar = new JMenuBar();

//		// Build the first menu.
//		menu = new JMenu("Playback");
////		menu.setMnemonic(KeyEvent.VK_Y);
//		menu.getAccessibleContext().setAccessibleDescription(
//				"Access Pause and Loop");
//		menuBar.add(menu);
//
//		cbMenuItem = new JCheckBoxMenuItem("Pause");
////		cbMenuItem.setMnemonic(KeyEvent.VK_P);
//		cbMenuItem.setActionCommand(StatusBar.PAUSE);
//		cbMenuItem.addActionListener(this);
//		menu.add(cbMenuItem);
//
//		cbMenuItem = new JCheckBoxMenuItem("Loop");
////		cbMenuItem.setMnemonic(KeyEvent.VK_L);
//		cbMenuItem.setActionCommand(StatusBar.LOOP);
//		cbMenuItem.addActionListener(this);
//		menu.add(cbMenuItem);

		// Build second menu in the menu bar.
		menu = new JMenu("Select Speed");
//		menu.setMnemonic(KeyEvent.VK_S);
		menu.getAccessibleContext().setAccessibleDescription(
				"Set playback speed");
		menu.setToolTipText("Click to select playback speed.");
		menu.setFont(statusBar.getFont().deriveFont(10f));
		menu.setBorder(BorderFactory.createRaisedBevelBorder());
		menuBar.add(menu);

		group = new ButtonGroup();
		rbMenuItem = new JRadioButtonMenuItem(".5");
		rbMenuItem.setActionCommand(StatusBar.HALF_SPEED);
		rbMenuItem.setFont(statusBar.getFont().deriveFont(10f));
		rbMenuItem.addActionListener(this);
		group.add(rbMenuItem);
		menu.add(rbMenuItem);

		rbMenuItem = new JRadioButtonMenuItem("1x");
		rbMenuItem.setFont(statusBar.getFont().deriveFont(10f));
		rbMenuItem.setSelected(true);
		rbMenuItem.setActionCommand(StatusBar.NORMAL_SPEED);
		rbMenuItem.addActionListener(this);
		group.add(rbMenuItem);
		menu.add(rbMenuItem);

		rbMenuItem = new JRadioButtonMenuItem("2x");
		rbMenuItem.setFont(statusBar.getFont().deriveFont(10f));
		rbMenuItem.setActionCommand(StatusBar.TWO_TIMES_SPEED);
		rbMenuItem.addActionListener(this);
		group.add(rbMenuItem);
		menu.add(rbMenuItem);

		rbMenuItem = new JRadioButtonMenuItem("4x");
		rbMenuItem.setFont(statusBar.getFont().deriveFont(10f));
		rbMenuItem.setActionCommand(StatusBar.FOUR_TIMES_SPEED);
		rbMenuItem.addActionListener(this);
		group.add(rbMenuItem);
		menu.add(rbMenuItem);

		rbMenuItem = new JRadioButtonMenuItem("8x");
		rbMenuItem.setFont(statusBar.getFont().deriveFont(10f));
		rbMenuItem.setActionCommand(StatusBar.EIGHT_TIMES_SPEED);
		rbMenuItem.addActionListener(this);
		group.add(rbMenuItem);
		menu.add(rbMenuItem);

		rbMenuItem = new JRadioButtonMenuItem("16x");
		rbMenuItem.setFont(statusBar.getFont().deriveFont(10f));
		rbMenuItem.setActionCommand(StatusBar.SIXTEEN_TIMES_SPEED);
		rbMenuItem.addActionListener(this);
		group.add(rbMenuItem);
		menu.add(rbMenuItem);

		// Build third menu in the menu bar.
		menu = new JMenu("MetaData");
		menu.setFont(statusBar.getFont().deriveFont(10f));
		menu.setBorder(BorderFactory.createRaisedBevelBorder());
//		menu.setMnemonic(KeyEvent.VK_M);
		menu.getAccessibleContext().setAccessibleDescription(
				"Open Event and Keystroke select lists");
		menu.setToolTipText("Click to Open Event and Keystroke lists.");
		menuBar.add(menu);

		menuItem = new JMenuItem("Open Events");
//		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_1,
//				ActionEvent.ALT_MASK));
		menuItem.setFont(statusBar.getFont().deriveFont(10f));
		menuItem.getAccessibleContext().setAccessibleDescription(
				"Open the event selector dailog");
		menuItem.setActionCommand(StatusBar.OPEN_EVENTS);
		menuItem.addActionListener(this);
		menu.add(menuItem);
		
		menuItem = new JMenuItem("Open Keystrokes");
//		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_2,
//				ActionEvent.ALT_MASK));
		menuItem.setFont(statusBar.getFont().deriveFont(10f));
		menuItem.getAccessibleContext().setAccessibleDescription(
				"Open the keystroke selector dailog");
		menuItem.setActionCommand(StatusBar.OPEN_KEYSTROKES);
		menuItem.addActionListener(this);
		menu.add(menuItem);

	}

	public JMenuBar getMenuBar() {
		return menuBar;
	}
	
	  public void actionPerformed(ActionEvent e) {
			String cmd = e.getActionCommand();
			
//			if (cmd.equals(StatusBar.COPY_TO)) {
//				setSessionClipboard();
//			}
			
			if (cmd.equals(StatusBar.CAD)) {
				try {
					statusBar.getViewer().sendCtrlAltDel();
				} catch (IOException e1) {
					log.error("StatusBar" + ":" + "actionPerformed"
							+ ":sendCtrlAltDel " + e1.toString());
				}
			} 
			
			if (cmd.equals(StatusBar.CTRLESC)) {
				try {
					statusBar.getViewer().sendCtrlEsc();
				} catch (IOException e1) {
					log.error("StatusBar" + ":" + "actionPerformed"
							+ ":sendCtrlEsc " + e1.toString());
				}
			} 
			
			if (cmd.equals(StatusBar.REFRESH)) {
				try {
					statusBar.getViewer().refresh();
				} catch (IOException e1) {
					log.error("StatusBar" + ":" + "actionPerformed"
							+ ":refresh " + e1.toString());
				}
			} 
			
			if (cmd.equals(StatusBar.PAUSE)) {
				statusBar.setPaused(statusBar.isPaused() ? false : true);
				statusBar.setPause();
			}
			
			if (cmd.equals(StatusBar.LOOP)) {
				statusBar.setLoop(statusBar.isLoop() ? false : true);
				log.debug("StatusBar" + ":" + "actionPerformed"
						+ " " + "call --> setLoopButton()");
				statusBar.setLoopButton();
			} else {
				if (statusBar.isPlayback()) {
					statusBar.speedAction(group.getSelection().getActionCommand());
				}
			}
			
			if (cmd.equals(StatusBar.OPEN_EVENTS)) {
				statusBar.getViewer().showEventDialog();
				
			}
		}

}
