package com.sshtools.common.ui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Timer;

//import java.util.Timer;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.sshtools.j2ssh.connection.Channel;
import com.sshtools.j2ssh.connection.ChannelEventAdapter;


public class DataNotificationListener
      extends ChannelEventAdapter {
    private static Log log = LogFactory.getLog(DataNotificationListener.class);

    Timer timerReceiving;
    Timer timerSending;
    StatusBar bar;
    boolean timerReceivingRunning = false;
    boolean timerSendingRunning = false;
    
    public DataNotificationListener(StatusBar bar) {
      this.bar = bar;
      timerReceiving = new Timer(25, new ReceivingActionListener());
      timerReceiving.setRepeats(false);
      timerSending = new Timer(25, new SendingActionListener());
      timerSending.setRepeats(false);
    }

    public void actionPerformed(ActionEvent evt) {
      bar.setReceiving(false);
    }

    public void onDataReceived(Channel channel, byte[] data) {
      if (!timerReceivingRunning) {
//      if (!timerReceiving.isRunning()) {
        bar.setReceiving(true);
        timerReceivingRunning = true;
//        timerReceiving.start();
        timerReceiving.restart();
      }
    }

    public void onDataSent(Channel channel, byte[] data) {
        if (log.isDebugEnabled()) {
            log.debug("enter :" + "DataNotificationListener" + ":"
                    + "onDataSent");
        }
        log.debug("DataNotificationListener" + ":" + "onDataSent"
                + " " + "sending bytes: " + data.length);
      if (!timerSendingRunning) {
//      if (!timerSending.isRunning()) {
        bar.setSending(true);
        timerSendingRunning = true;
//        timerSending.start();
        timerSending.restart();
      }

    }
    
    public void onChannelOpen(Channel channel) {
        if (log.isDebugEnabled()) {
            log.debug("enter :" + "DataNotificationListener" + ":"
                    + "onChannelOpen");
        }
        bar.setStatusText(StatusBar.OPENED);
    }

    /**
     *
     *
     * @param channel
     */
    public void onChannelEOF(Channel channel) {
        if (log.isDebugEnabled()) {
            log.debug("enter :" + "DataNotificationListener" + ":"
                    + "onChannelEOF");
        }
        bar.setStatusText(StatusBar.EOF);
        bar.stopCounter();
    }

    /**
     *
     *
     * @param channel
     */
    public void onChannelClose(Channel channel) {
        if (log.isDebugEnabled()) {
            log.debug("enter :" + "DataNotificationListener" + ":"
                    + "onChannelClose");
        }
        
        bar.setNoControls();
        this.timerReceiving = null;
        this.timerSending = null;
        // bar.stopCounter();
    }

    class SendingActionListener
        implements ActionListener {
      public void actionPerformed(ActionEvent evt) {
    	  timerSendingRunning = false;
    	  bar.setSending(false);
      }
    }

    class ReceivingActionListener
        implements ActionListener {
      public void actionPerformed(ActionEvent evt) {
    	  timerReceivingRunning = false;	  
    	  bar.setReceiving(false);
      }
    }

  }
